package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import java.time.ZonedDateTime;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.nachrichten.postfach.PostfachNachricht;

public class PostfachNachrichtTestFactory {
	public static final String MAIL_BODY = "Hallo,\n" + LoremIpsum.getInstance().getParagraphs(1, 4);
	public static final String MAIL_SUBJECT = "AW: " + LoremIpsum.getInstance().getTitle(2, 6);
	public static final String VORGANG_ID = "test-vorgang-id";
	public static final String USER_ID = "test-user-id";


	public static PostfachNachricht create() {
		return createBuilder().build();
	}

	public static PostfachNachricht.PostfachNachrichtBuilder createBuilder() {
		return PostfachNachricht.builder()
				.mailBody(MAIL_BODY)
				.subject(MAIL_SUBJECT)
				.replyOption(PostfachNachricht.ReplyOption.FORBIDDEN)
				.createdAt(ZonedDateTime.now())
				.createdBy(USER_ID)
				.vorgangId(VORGANG_ID)
				.postfachAddress(PostfachAddressTestFactory.create());
	}
}
